package com.railway.business.baseinfo.service;

import com.railway.business.baseinfo.domain.BasePreventFlood;
import java.util.List;
/**
* 九防台账-防洪
* @author wuhonghao
* @date 2021/11/12
*/
public interface IBasePreventFloodService{

    /**
    * 新增
    */
    int create(BasePreventFlood basePreventFlood);

    /**
    * 删除
    */
    int delete(String[] ids);

    /**
    * 更新
    */
    int update(BasePreventFlood basePreventFlood);

    /**
    * 获取单个
    */
    BasePreventFlood getInfo(String id);

    /**
    * 查询列表
    */
    List<BasePreventFlood> getList(BasePreventFlood basePreventFlood);

}
